<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Syntax.NominalPhrases</span><span>
</span><span id="line-2"></span><span>  </span><span class="hs-special">(</span><span> </span><span class="annot"><a href="Syntax.NominalPhrases.html#np"><span class="hs-identifier">np</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-3"></span><span>    </span><span class="annot"><a href="Syntax.NominalPhrases.html#coordNP"><span class="hs-identifier">coordNP</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-4"></span><span>    </span><span class="annot"><a href="Syntax.NominalPhrases.html#agreeNPs"><span class="hs-identifier">agreeNPs</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-5"></span><span>    </span><span class="annot"><a href="Syntax.NominalPhrases.html#nounToNPWithDetAndNum"><span class="hs-identifier">nounToNPWithDetAndNum</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-6"></span><span>    </span><span class="annot"><a href="Syntax.NominalPhrases.html#nounToNPWithNumber"><span class="hs-identifier">nounToNPWithNumber</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-7"></span><span>  </span><span class="hs-special">)</span><span>
</span><span id="line-8"></span><span class="hs-keyword">where</span><span>
</span><span id="line-9"></span><span>
</span><span id="line-10"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Features.html"><span class="hs-identifier">Features</span></a></span><span>
</span><span id="line-11"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.html"><span class="hs-identifier">Lexis</span></a></span><span>
</span><span id="line-12"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Syntax.Constituent.html"><span class="hs-identifier">Syntax.Constituent</span></a></span><span>
</span><span id="line-13"></span><span>
</span><span id="line-14"></span><span class="hs-comment">-- | Create a Noun Phrase with given Lexis and nominal features</span><span>
</span><span id="line-15"></span><span class="annot"><a href="Syntax.NominalPhrases.html#np"><span class="hs-identifier hs-type">np</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Nominal.html#NF"><span class="hs-identifier hs-type">NF</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span>
</span><span id="line-16"></span><span id="np"><span class="annot"><span class="annottext">np :: Lexis -&gt; NF -&gt; NPConstituent
</span><a href="Syntax.NominalPhrases.html#np"><span class="hs-identifier hs-var hs-var">np</span></a></span></span><span> </span><span id="local-6989586621679082770"><span class="annot"><span class="annottext">Lexis
</span><a href="#local-6989586621679082770"><span class="hs-identifier hs-var">l</span></a></span></span><span> </span><span id="local-6989586621679082769"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082769"><span class="hs-identifier hs-var">nf</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="hs-special">]</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Lexis -&gt; FeatureWrapper -&gt; Lexis
</span><a href="Lexis.html#modifyFeatures"><span class="hs-identifier hs-var">modifyFeatures</span></a></span><span> </span><span class="annot"><span class="annottext">Lexis
</span><a href="#local-6989586621679082770"><span class="hs-identifier hs-var">l</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; FeatureWrapper
</span><a href="Features.Wrappable.html#WrapNF"><span class="hs-identifier hs-var">WrapNF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082769"><span class="hs-identifier hs-var">nf</span></a></span><span class="hs-special">)</span><span class="hs-special">)</span><span>
</span><span id="line-17"></span><span>
</span><span id="line-18"></span><span class="hs-comment">-- | Generate a coordinated Noun Phrase taking into account its members features</span><span>
</span><span id="line-19"></span><span class="annot"><a href="Syntax.NominalPhrases.html#coordNP"><span class="hs-identifier hs-type">coordNP</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span>
</span><span id="line-20"></span><span id="coordNP"><span class="annot"><span class="annottext">coordNP :: NPConstituent -&gt; NPConstituent -&gt; NPConstituent
</span><a href="Syntax.NominalPhrases.html#coordNP"><span class="hs-identifier hs-var hs-var">coordNP</span></a></span></span><span> </span><span id="local-6989586621679082765"><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082765"><span class="hs-identifier hs-var">np1</span></a></span></span><span> </span><span id="local-6989586621679082764"><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082764"><span class="hs-identifier hs-var">np2</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-21"></span><span>  </span><span class="annot"><span class="annottext">[Tag] -&gt; NF -&gt; [NPConstituent] -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#NP"><span class="hs-identifier hs-var">NP</span></a></span><span> </span><span class="hs-special">[</span><span class="hs-special">]</span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082762"><span class="hs-identifier hs-var">nf1</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">person :: Person
</span><a href="Features.Nominal.html#person"><span class="hs-identifier hs-var">person</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="#local-6989586621679082760"><span class="hs-identifier hs-var">p</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">number :: Number
</span><a href="Features.Nominal.html#number"><span class="hs-identifier hs-var">number</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">coord :: Bool
</span><a href="Features.Nominal.html#coord"><span class="hs-identifier hs-var">coord</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">True</span></span><span class="hs-special">}</span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082765"><span class="hs-identifier hs-var">np1</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082764"><span class="hs-identifier hs-var">np2</span></a></span><span class="hs-special">]</span><span>
</span><span id="line-22"></span><span>  </span><span class="hs-keyword">where</span><span>
</span><span id="line-23"></span><span>    </span><span class="hs-special">(</span><span class="annot"><a href="Features.Wrappable.html#WrapNF"><span class="hs-identifier hs-type">WrapNF</span></a></span><span> </span><span id="local-6989586621679082762"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082762"><span class="hs-identifier hs-var">nf1</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">NPConstituent -&gt; FeatureWrapper
</span><a href="Syntax.Constituent.html#getFeatures"><span class="hs-identifier hs-var">getFeatures</span></a></span><span> </span><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082765"><span class="hs-identifier hs-var">np1</span></a></span><span>
</span><span id="line-24"></span><span>    </span><span class="hs-special">(</span><span class="annot"><a href="Features.Wrappable.html#WrapNF"><span class="hs-identifier hs-type">WrapNF</span></a></span><span> </span><span id="local-6989586621679082755"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082755"><span class="hs-identifier hs-var">nf2</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">NPConstituent -&gt; FeatureWrapper
</span><a href="Syntax.Constituent.html#getFeatures"><span class="hs-identifier hs-var">getFeatures</span></a></span><span> </span><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082764"><span class="hs-identifier hs-var">np2</span></a></span><span>
</span><span id="line-25"></span><span>    </span><span id="local-6989586621679082760"><span class="annot"><span class="annottext">p :: Person
</span><a href="#local-6989586621679082760"><span class="hs-identifier hs-var hs-var">p</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">NF -&gt; Person
</span><a href="Features.Nominal.html#person"><span class="hs-identifier hs-var hs-var">person</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082762"><span class="hs-identifier hs-var">nf1</span></a></span><span> </span><span class="annot"><span class="annottext">Person -&gt; Person -&gt; Person
forall a. Semigroup a =&gt; a -&gt; a -&gt; a
</span><span class="hs-operator hs-var">&lt;&gt;</span></span><span> </span><span class="annot"><span class="annottext">NF -&gt; Person
</span><a href="Features.Nominal.html#person"><span class="hs-identifier hs-var hs-var">person</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082755"><span class="hs-identifier hs-var">nf2</span></a></span><span>
</span><span id="line-26"></span><span>
</span><span id="line-27"></span><span class="hs-comment">-- | This function creates an NP from a Number feature and a Lexis</span><span>
</span><span id="line-28"></span><span class="hs-comment">--  Mass nouns are always Singular, and plural nouns Plural</span><span>
</span><span id="line-29"></span><span class="hs-comment">--  Moreover, Nouns are always third person</span><span>
</span><span id="line-30"></span><span class="annot"><a href="Syntax.NominalPhrases.html#nounToNPWithNumber"><span class="hs-identifier hs-type">nounToNPWithNumber</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span>
</span><span id="line-31"></span><span id="nounToNPWithNumber"><span class="annot"><span class="annottext">nounToNPWithNumber :: Number -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.NominalPhrases.html#nounToNPWithNumber"><span class="hs-identifier hs-var hs-var">nounToNPWithNumber</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Determiner -&gt; Number -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.NominalPhrases.html#nounToNPWithDetAndNum"><span class="hs-identifier hs-var">nounToNPWithDetAndNum</span></a></span><span> </span><span class="annot"><span class="annottext">Determiner
</span><a href="Features.Nominal.html#Definite"><span class="hs-identifier hs-var">Definite</span></a></span><span>
</span><span id="line-32"></span><span>
</span><span id="line-33"></span><span class="hs-comment">-- | This function creates an NP from a Number feature, a Determiner features and a Lexis</span><span>
</span><span id="line-34"></span><span class="hs-comment">--  Mass nouns are always Singular, and plural nouns Plural;</span><span>
</span><span id="line-35"></span><span class="hs-comment">--  nouns are always third person,</span><span>
</span><span id="line-36"></span><span class="hs-comment">--  and mass and plural nouns do not take indefinite determination</span><span>
</span><span id="line-37"></span><span class="annot"><a href="Syntax.NominalPhrases.html#nounToNPWithDetAndNum"><span class="hs-identifier hs-type">nounToNPWithDetAndNum</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Nominal.html#Determiner"><span class="hs-identifier hs-type">Determiner</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span>
</span><span id="line-38"></span><span id="nounToNPWithDetAndNum"><span class="annot"><span class="annottext">nounToNPWithDetAndNum :: Determiner -&gt; Number -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.NominalPhrases.html#nounToNPWithDetAndNum"><span class="hs-identifier hs-var hs-var">nounToNPWithDetAndNum</span></a></span></span><span> </span><span id="local-6989586621679082753"><span class="annot"><span class="annottext">Determiner
</span><a href="#local-6989586621679082753"><span class="hs-identifier hs-var">det</span></a></span></span><span> </span><span id="local-6989586621679082752"><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082752"><span class="hs-identifier hs-var">num</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Noun.html#Noun"><span class="hs-identifier hs-type">Noun</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Noun.html#Count"><span class="hs-identifier hs-type">Count</span></a></span><span> </span><span id="local-6989586621679082748"><span class="annot"><span class="annottext">Tag
</span><a href="#local-6989586621679082748"><span class="hs-identifier hs-var">noun</span></a></span></span><span> </span><span id="local-6989586621679082747"><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082747"><span class="hs-identifier hs-var">defNum</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span id="local-6989586621679082746"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082746"><span class="hs-identifier hs-var">nf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-39"></span><span>  </span><span class="hs-keyword">case</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082747"><span class="hs-identifier hs-var">defNum</span></a></span><span> </span><span class="hs-keyword">of</span><span>
</span><span id="line-40"></span><span>    </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-41"></span><span>      </span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="hs-special">]</span><span> </span><span class="annot"><span class="annottext">(Lexis -&gt; NPConstituent) -&gt; Lexis -&gt; NPConstituent
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Noun -&gt; Nominal
</span><a href="Lexis.Noun.html#Noun"><span class="hs-identifier hs-var">Noun</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Tag -&gt; Number -&gt; Noun
</span><a href="Lexis.Noun.html#Count"><span class="hs-identifier hs-var">Count</span></a></span><span> </span><span class="annot"><span class="annottext">Tag
</span><a href="#local-6989586621679082748"><span class="hs-identifier hs-var">noun</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082747"><span class="hs-identifier hs-var">defNum</span></a></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082746"><span class="hs-identifier hs-var">nf</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">number :: Number
</span><a href="Features.Nominal.html#number"><span class="hs-identifier hs-var">number</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082752"><span class="hs-identifier hs-var">num</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">person :: Person
</span><a href="Features.Nominal.html#person"><span class="hs-identifier hs-var">person</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><span class="annottext">determiner :: Determiner
</span><a href="Features.Nominal.html#determiner"><span class="hs-identifier hs-var">determiner</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Determiner
</span><a href="#local-6989586621679082753"><span class="hs-identifier hs-var">det</span></a></span><span class="hs-special">}</span><span class="hs-special">)</span><span>
</span><span id="line-42"></span><span>    </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-43"></span><span>      </span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="hs-special">]</span><span> </span><span class="annot"><span class="annottext">(Lexis -&gt; NPConstituent) -&gt; Lexis -&gt; NPConstituent
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span>
</span><span id="line-44"></span><span>        </span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span>
</span><span id="line-45"></span><span>          </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Noun -&gt; Nominal
</span><a href="Lexis.Noun.html#Noun"><span class="hs-identifier hs-var">Noun</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Tag -&gt; Number -&gt; Noun
</span><a href="Lexis.Noun.html#Count"><span class="hs-identifier hs-var">Count</span></a></span><span> </span><span class="annot"><span class="annottext">Tag
</span><a href="#local-6989586621679082748"><span class="hs-identifier hs-var">noun</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082747"><span class="hs-identifier hs-var">defNum</span></a></span><span class="hs-special">)</span><span class="hs-special">)</span><span>
</span><span id="line-46"></span><span>          </span><span class="hs-special">(</span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082746"><span class="hs-identifier hs-var">nf</span></a></span><span>
</span><span id="line-47"></span><span>              </span><span class="hs-special">{</span><span> </span><span class="annot"><span class="annottext">number :: Number
</span><a href="Features.Nominal.html#number"><span class="hs-identifier hs-var">number</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-48"></span><span>                </span><span class="annot"><span class="annottext">person :: Person
</span><a href="Features.Nominal.html#person"><span class="hs-identifier hs-var">person</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-49"></span><span>                </span><span class="annot"><span class="annottext">determiner :: Determiner
</span><a href="Features.Nominal.html#determiner"><span class="hs-identifier hs-var">determiner</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">NF -&gt; Determiner
</span><a href="Syntax.NominalPhrases.html#chooseDeterminerForNonSingNoun"><span class="hs-identifier hs-var">chooseDeterminerForNonSingNoun</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082746"><span class="hs-identifier hs-var">nf</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">determiner :: Determiner
</span><a href="Features.Nominal.html#determiner"><span class="hs-identifier hs-var">determiner</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Determiner
</span><a href="#local-6989586621679082753"><span class="hs-identifier hs-var">det</span></a></span><span class="hs-special">}</span><span class="hs-special">)</span><span>
</span><span id="line-50"></span><span>              </span><span class="hs-special">}</span><span>
</span><span id="line-51"></span><span>          </span><span class="hs-special">)</span><span>
</span><span id="line-52"></span><span class="annot"><a href="Syntax.NominalPhrases.html#nounToNPWithDetAndNum"><span class="hs-identifier hs-var">nounToNPWithDetAndNum</span></a></span><span> </span><span id="local-6989586621679082741"><span class="annot"><span class="annottext">Determiner
</span><a href="#local-6989586621679082741"><span class="hs-identifier hs-var">det</span></a></span></span><span> </span><span id="local-6989586621679082740"><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082740"><span class="hs-identifier hs-var">num</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Noun.html#Noun"><span class="hs-identifier hs-type">Noun</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Noun.html#Mass"><span class="hs-identifier hs-type">Mass</span></a></span><span> </span><span id="local-6989586621679082738"><span class="annot"><span class="annottext">Tag
</span><a href="#local-6989586621679082738"><span class="hs-identifier hs-var">noun</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span id="local-6989586621679082737"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082737"><span class="hs-identifier hs-var">nf</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-53"></span><span>  </span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="hs-special">]</span><span> </span><span class="annot"><span class="annottext">(Lexis -&gt; NPConstituent) -&gt; Lexis -&gt; NPConstituent
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span>
</span><span id="line-54"></span><span>    </span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span>
</span><span id="line-55"></span><span>      </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Noun -&gt; Nominal
</span><a href="Lexis.Noun.html#Noun"><span class="hs-identifier hs-var">Noun</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Tag -&gt; Noun
</span><a href="Lexis.Noun.html#Mass"><span class="hs-identifier hs-var">Mass</span></a></span><span> </span><span class="annot"><span class="annottext">Tag
</span><a href="#local-6989586621679082738"><span class="hs-identifier hs-var">noun</span></a></span><span class="hs-special">)</span><span class="hs-special">)</span><span>
</span><span id="line-56"></span><span>      </span><span class="hs-special">(</span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082737"><span class="hs-identifier hs-var">nf</span></a></span><span>
</span><span id="line-57"></span><span>          </span><span class="hs-special">{</span><span> </span><span class="annot"><span class="annottext">number :: Number
</span><a href="Features.Nominal.html#number"><span class="hs-identifier hs-var">number</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-58"></span><span>            </span><span class="annot"><span class="annottext">person :: Person
</span><a href="Features.Nominal.html#person"><span class="hs-identifier hs-var">person</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-59"></span><span>            </span><span class="annot"><span class="annottext">determiner :: Determiner
</span><a href="Features.Nominal.html#determiner"><span class="hs-identifier hs-var">determiner</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Determiner
</span><a href="Features.Nominal.html#Definite"><span class="hs-identifier hs-var">Definite</span></a></span><span>
</span><span id="line-60"></span><span>          </span><span class="hs-special">}</span><span>
</span><span id="line-61"></span><span>      </span><span class="hs-special">)</span><span>
</span><span id="line-62"></span><span>
</span><span id="line-63"></span><span class="hs-comment">-- make sure that mass and plural nouns do not have indefinite determination</span><span>
</span><span id="line-64"></span><span class="annot"><a href="Syntax.NominalPhrases.html#chooseDeterminerForNonSingNoun"><span class="hs-identifier hs-type">chooseDeterminerForNonSingNoun</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Nominal.html#NF"><span class="hs-identifier hs-type">NF</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Nominal.html#Determiner"><span class="hs-identifier hs-type">Determiner</span></a></span><span>
</span><span id="line-65"></span><span id="chooseDeterminerForNonSingNoun"><span class="annot"><span class="annottext">chooseDeterminerForNonSingNoun :: NF -&gt; Determiner
</span><a href="Syntax.NominalPhrases.html#chooseDeterminerForNonSingNoun"><span class="hs-identifier hs-var hs-var">chooseDeterminerForNonSingNoun</span></a></span></span><span> </span><span id="local-6989586621679082736"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082736"><span class="hs-identifier hs-var">nf</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-66"></span><span>  </span><span class="hs-keyword">case</span><span> </span><span class="annot"><span class="annottext">NF -&gt; Determiner
</span><a href="Features.Nominal.html#determiner"><span class="hs-identifier hs-var hs-var">determiner</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082736"><span class="hs-identifier hs-var">nf</span></a></span><span> </span><span class="hs-keyword">of</span><span>
</span><span id="line-67"></span><span>    </span><span class="annot"><span class="annottext">Determiner
</span><a href="Features.Nominal.html#Indefinite"><span class="hs-identifier hs-var">Indefinite</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">Determiner
</span><a href="Features.Nominal.html#Definite"><span class="hs-identifier hs-var">Definite</span></a></span><span>
</span><span id="line-68"></span><span>    </span><span class="annot"><span class="annottext">Determiner
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">NF -&gt; Determiner
</span><a href="Features.Nominal.html#determiner"><span class="hs-identifier hs-var hs-var">determiner</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082736"><span class="hs-identifier hs-var">nf</span></a></span><span>
</span><span id="line-69"></span><span>
</span><span id="line-70"></span><span class="hs-comment">-- | Given two constituents, make the second one agree with the first.</span><span>
</span><span id="line-71"></span><span class="hs-comment">-- Used mainly in copula sentences.</span><span>
</span><span id="line-72"></span><span class="annot"><a href="Syntax.NominalPhrases.html#agreeNPs"><span class="hs-identifier hs-type">agreeNPs</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span>
</span><span id="line-73"></span><span id="agreeNPs"><span class="annot"><span class="annottext">agreeNPs :: NPConstituent -&gt; NPConstituent -&gt; NPConstituent
</span><a href="Syntax.NominalPhrases.html#agreeNPs"><span class="hs-identifier hs-var hs-var">agreeNPs</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#NP"><span class="hs-identifier hs-type">NP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679082734"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082734"><span class="hs-identifier hs-var">srcF</span></a></span></span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#NP"><span class="hs-identifier hs-type">NP</span></a></span><span> </span><span id="local-6989586621679082733"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082733"><span class="hs-identifier hs-var">tgs</span></a></span></span><span> </span><span id="local-6989586621679082732"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082732"><span class="hs-identifier hs-var">tgtF</span></a></span></span><span> </span><span id="local-6989586621679082731"><span class="annot"><span class="annottext">[NPConstituent]
</span><a href="#local-6989586621679082731"><span class="hs-identifier hs-var">cs</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-74"></span><span>  </span><span class="annot"><span class="annottext">[Tag] -&gt; NF -&gt; [NPConstituent] -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#NP"><span class="hs-identifier hs-var">NP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082733"><span class="hs-identifier hs-var">tgs</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; NF -&gt; NF
</span><a href="Features.Nominal.html#copyNF"><span class="hs-identifier hs-var">copyNF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082734"><span class="hs-identifier hs-var">srcF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082732"><span class="hs-identifier hs-var">tgtF</span></a></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><a href="#local-6989586621679082731"><span class="hs-identifier hs-var">cs</span></a></span><span>
</span><span id="line-75"></span><span class="annot"><a href="Syntax.NominalPhrases.html#agreeNPs"><span class="hs-identifier hs-var">agreeNPs</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679082729"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082729"><span class="hs-identifier hs-var">srcF</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span id="local-6989586621679082728"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082728"><span class="hs-identifier hs-var">tgs</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span id="local-6989586621679082727"><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679082727"><span class="hs-identifier hs-var">nom</span></a></span></span><span> </span><span id="local-6989586621679082726"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082726"><span class="hs-identifier hs-var">tgtF</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082728"><span class="hs-identifier hs-var">tgs</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679082727"><span class="hs-identifier hs-var">nom</span></a></span><span> </span><span class="annot"><span class="annottext">(NF -&gt; Lexis) -&gt; NF -&gt; Lexis
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">NF -&gt; NF -&gt; NF
</span><a href="Features.Nominal.html#copyNF"><span class="hs-identifier hs-var">copyNF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082729"><span class="hs-identifier hs-var">srcF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082726"><span class="hs-identifier hs-var">tgtF</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-76"></span><span class="annot"><a href="Syntax.NominalPhrases.html#agreeNPs"><span class="hs-identifier hs-var">agreeNPs</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679082725"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082725"><span class="hs-identifier hs-var">srcF</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#NP"><span class="hs-identifier hs-type">NP</span></a></span><span> </span><span id="local-6989586621679082724"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082724"><span class="hs-identifier hs-var">tgs</span></a></span></span><span> </span><span id="local-6989586621679082723"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082723"><span class="hs-identifier hs-var">tgtF</span></a></span></span><span> </span><span id="local-6989586621679082722"><span class="annot"><span class="annottext">[NPConstituent]
</span><a href="#local-6989586621679082722"><span class="hs-identifier hs-var">cs</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-77"></span><span>  </span><span class="annot"><span class="annottext">[Tag] -&gt; NF -&gt; [NPConstituent] -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#NP"><span class="hs-identifier hs-var">NP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082724"><span class="hs-identifier hs-var">tgs</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF -&gt; NF -&gt; NF
</span><a href="Features.Nominal.html#copyNF"><span class="hs-identifier hs-var">copyNF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082725"><span class="hs-identifier hs-var">srcF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082723"><span class="hs-identifier hs-var">tgtF</span></a></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><a href="#local-6989586621679082722"><span class="hs-identifier hs-var">cs</span></a></span><span>
</span><span id="line-78"></span><span class="annot"><a href="Syntax.NominalPhrases.html#agreeNPs"><span class="hs-identifier hs-var">agreeNPs</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#NP"><span class="hs-identifier hs-type">NP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679082721"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082721"><span class="hs-identifier hs-var">srcF</span></a></span></span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span id="local-6989586621679082720"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082720"><span class="hs-identifier hs-var">tgs</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span id="local-6989586621679082719"><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679082719"><span class="hs-identifier hs-var">nom</span></a></span></span><span> </span><span id="local-6989586621679082718"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082718"><span class="hs-identifier hs-var">tgtF</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082720"><span class="hs-identifier hs-var">tgs</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="#local-6989586621679082719"><span class="hs-identifier hs-var">nom</span></a></span><span> </span><span class="annot"><span class="annottext">(NF -&gt; Lexis) -&gt; NF -&gt; Lexis
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">NF -&gt; NF -&gt; NF
</span><a href="Features.Nominal.html#copyNF"><span class="hs-identifier hs-var">copyNF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082721"><span class="hs-identifier hs-var">srcF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082718"><span class="hs-identifier hs-var">tgtF</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-79"></span><span class="annot"><a href="Syntax.NominalPhrases.html#agreeNPs"><span class="hs-identifier hs-var">agreeNPs</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#N"><span class="hs-identifier hs-type">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679082717"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082717"><span class="hs-identifier hs-var">srcF</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span id="local-6989586621679082716"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082716"><span class="hs-identifier hs-var">tgs</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#Adj"><span class="hs-identifier hs-type">Adj</span></a></span><span> </span><span id="local-6989586621679082714"><span class="annot"><span class="annottext">Adjective
</span><a href="#local-6989586621679082714"><span class="hs-identifier hs-var">adj</span></a></span></span><span> </span><span id="local-6989586621679082713"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082713"><span class="hs-identifier hs-var">tgtF</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082716"><span class="hs-identifier hs-var">tgs</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Adjective -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#Adj"><span class="hs-identifier hs-var">Adj</span></a></span><span> </span><span class="annot"><span class="annottext">Adjective
</span><a href="#local-6989586621679082714"><span class="hs-identifier hs-var">adj</span></a></span><span> </span><span class="annot"><span class="annottext">(NF -&gt; Lexis) -&gt; NF -&gt; Lexis
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">NF -&gt; NF -&gt; NF
</span><a href="Features.Nominal.html#copyNF"><span class="hs-identifier hs-var">copyNF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082717"><span class="hs-identifier hs-var">srcF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082713"><span class="hs-identifier hs-var">tgtF</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-80"></span><span class="annot"><a href="Syntax.NominalPhrases.html#agreeNPs"><span class="hs-identifier hs-var">agreeNPs</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#NP"><span class="hs-identifier hs-type">NP</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><span class="hs-identifier">_</span></span><span> </span><span id="local-6989586621679082712"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082712"><span class="hs-identifier hs-var">srcF</span></a></span></span><span> </span><span class="annot"><span class="annottext">[NPConstituent]
</span><span class="hs-identifier">_</span></span><span class="hs-special">)</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-type">L</span></a></span><span> </span><span id="local-6989586621679082711"><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082711"><span class="hs-identifier hs-var">tgs</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.html#Adj"><span class="hs-identifier hs-type">Adj</span></a></span><span> </span><span id="local-6989586621679082710"><span class="annot"><span class="annottext">Adjective
</span><a href="#local-6989586621679082710"><span class="hs-identifier hs-var">adj</span></a></span></span><span> </span><span id="local-6989586621679082709"><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082709"><span class="hs-identifier hs-var">tgtF</span></a></span></span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; NPConstituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="annot"><span class="annottext">[Tag]
</span><a href="#local-6989586621679082711"><span class="hs-identifier hs-var">tgs</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Adjective -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#Adj"><span class="hs-identifier hs-var">Adj</span></a></span><span> </span><span class="annot"><span class="annottext">Adjective
</span><a href="#local-6989586621679082710"><span class="hs-identifier hs-var">adj</span></a></span><span> </span><span class="annot"><span class="annottext">(NF -&gt; Lexis) -&gt; NF -&gt; Lexis
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">NF -&gt; NF -&gt; NF
</span><a href="Features.Nominal.html#copyNF"><span class="hs-identifier hs-var">copyNF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082712"><span class="hs-identifier hs-var">srcF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="#local-6989586621679082709"><span class="hs-identifier hs-var">tgtF</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-81"></span><span class="annot"><a href="Syntax.NominalPhrases.html#agreeNPs"><span class="hs-identifier hs-var">agreeNPs</span></a></span><span> </span><span id="local-6989586621679082708"><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082708"><span class="hs-identifier hs-var">src</span></a></span></span><span> </span><span id="local-6989586621679082707"><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082707"><span class="hs-identifier hs-var">tgt</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Tag -&gt; NPConstituent
forall a. HasCallStack =&gt; Tag -&gt; a
</span><span class="hs-identifier hs-var">error</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Tag
</span><span class="hs-string">&quot;error items: &quot;</span></span><span> </span><span class="annot"><span class="annottext">Tag -&gt; Tag -&gt; Tag
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">NPConstituent -&gt; Tag
forall a. Show a =&gt; a -&gt; Tag
</span><span class="hs-identifier hs-var">show</span></span><span> </span><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082708"><span class="hs-identifier hs-var">src</span></a></span><span> </span><span class="annot"><span class="annottext">Tag -&gt; Tag -&gt; Tag
forall a. [a] -&gt; [a] -&gt; [a]
</span><span class="hs-operator hs-var">++</span></span><span> </span><span class="annot"><span class="annottext">NPConstituent -&gt; Tag
forall a. Show a =&gt; a -&gt; Tag
</span><span class="hs-identifier hs-var">show</span></span><span> </span><span class="annot"><span class="annottext">NPConstituent
</span><a href="#local-6989586621679082707"><span class="hs-identifier hs-var">tgt</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-82"></span></pre></body></html>